#include <stdio.h>

int htoi(int *i, char s[]);

/* converts first argument to decimal from hex */
int main(int argc, char *argv[])
{
    if (argc < 2) { // no argument
        printf("error : expected hexadecimal argument\n");
        return 1;
    }
    
    int n, i = 0;
    n = htoi(&i, argv[1]);

    if (argv[1][i] != '\0') { // invalid argument
        printf("%s\n", argv[1]);
        for (; i > 0; --i)
            putchar(' ');
        printf("^\n");
        printf("error : invalid character in hexadecimal constant\n");
        return 1;
    }
    printf("%d\n", n);
    return 0;
}

/* htoi: converts hexadecimal constant 's' to decimal and returns the result
 * reads 's' from 'i' to end */
int htoi(int *i, char s[])
{
    int n = 0;
    
    if (s[*i] == '0' && (s[*i+1] == 'x' || s[*i+1] == 'X'))
        *i += 2;

    for (; s[*i] != '\0'; ++*i) {
        #define X(a, b, base) if (s[*i] >= a && s[*i] <= b) n = 16 * n + base + s[*i] - a; else
            X('0', '9', 0)
            X('a', 'f', 10)
            X('A', 'F', 10)
        #undef X
            break;
    }
    return n;
}
